<?php
namespace PHPMaker2020\hostelmgr20;

// Session
if (session_status() !== PHP_SESSION_ACTIVE)
	session_start(); // Init session data

// Output buffering
ob_start();

// Autoload
include_once "autoload.php";
?>
<?php

// Write header
WriteHeader(FALSE);

// Create page object
$reswardens_edit = new reswardens_edit();

// Run the page
$reswardens_edit->run();

// Setup login status
SetupLoginStatus();
SetClientVar("login", LoginStatus());

// Global Page Rendering event (in userfn*.php)
Page_Rendering();

// Page Rendering event
$reswardens_edit->Page_Render();
?>
<?php include_once "header.php"; ?>
<script>
var freswardensedit, currentPageID;
loadjs.ready("head", function() {

	// Form object
	currentPageID = ew.PAGE_ID = "edit";
	freswardensedit = currentForm = new ew.Form("freswardensedit", "edit");

	// Validate form
	freswardensedit.validate = function() {
		if (!this.validateRequired)
			return true; // Ignore validation
		var $ = jQuery, fobj = this.getForm(), $fobj = $(fobj);
		if ($fobj.find("#confirm").val() == "F")
			return true;
		var elm, felm, uelm, addcnt = 0;
		var $k = $fobj.find("#" + this.formKeyCountName); // Get key_count
		var rowcnt = ($k[0]) ? parseInt($k.val(), 10) : 1;
		var startcnt = (rowcnt == 0) ? 0 : 1; // Check rowcnt == 0 => Inline-Add
		var gridinsert = ["insert", "gridinsert"].includes($fobj.find("#action").val()) && $k[0];
		for (var i = startcnt; i <= rowcnt; i++) {
			var infix = ($k[0]) ? String(i) : "";
			$fobj.data("rowindex", infix);
			<?php if ($reswardens_edit->id->Required) { ?>
				elm = this.getElements("x" + infix + "_id");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $reswardens_edit->id->caption(), $reswardens_edit->id->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($reswardens_edit->Hostel->Required) { ?>
				elm = this.getElements("x" + infix + "_Hostel");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $reswardens_edit->Hostel->caption(), $reswardens_edit->Hostel->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($reswardens_edit->Floor->Required) { ?>
				elm = this.getElements("x" + infix + "_Floor");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $reswardens_edit->Floor->caption(), $reswardens_edit->Floor->RequiredErrorMessage)) ?>");
			<?php } ?>
			<?php if ($reswardens_edit->ResWarden->Required) { ?>
				elm = this.getElements("x" + infix + "_ResWarden");
				if (elm && !ew.isHidden(elm) && !ew.hasValue(elm))
					return this.onError(elm, "<?php echo JsEncode(str_replace("%s", $reswardens_edit->ResWarden->caption(), $reswardens_edit->ResWarden->RequiredErrorMessage)) ?>");
			<?php } ?>

				// Call Form_CustomValidate event
				if (!this.Form_CustomValidate(fobj))
					return false;
		}

		// Process detail forms
		var dfs = $fobj.find("input[name='detailpage']").get();
		for (var i = 0; i < dfs.length; i++) {
			var df = dfs[i], val = df.value;
			if (val && ew.forms[val])
				if (!ew.forms[val].validate())
					return false;
		}
		return true;
	}

	// Form_CustomValidate
	freswardensedit.Form_CustomValidate = function(fobj) { // DO NOT CHANGE THIS LINE!

		// Your custom validation code here, return false if invalid.
		return true;
	}

	// Use JavaScript validation or not
	freswardensedit.validateRequired = <?php echo Config("CLIENT_VALIDATE") ? "true" : "false" ?>;

	// Dynamic selection lists
	freswardensedit.lists["x_Hostel"] = <?php echo $reswardens_edit->Hostel->Lookup->toClientList($reswardens_edit) ?>;
	freswardensedit.lists["x_Hostel"].options = <?php echo JsonEncode($reswardens_edit->Hostel->lookupOptions()) ?>;
	freswardensedit.lists["x_Floor"] = <?php echo $reswardens_edit->Floor->Lookup->toClientList($reswardens_edit) ?>;
	freswardensedit.lists["x_Floor"].options = <?php echo JsonEncode($reswardens_edit->Floor->lookupOptions()) ?>;
	freswardensedit.lists["x_ResWarden"] = <?php echo $reswardens_edit->ResWarden->Lookup->toClientList($reswardens_edit) ?>;
	freswardensedit.lists["x_ResWarden"].options = <?php echo JsonEncode($reswardens_edit->ResWarden->lookupOptions()) ?>;
	loadjs.done("freswardensedit");
});
</script>
<script>
loadjs.ready("head", function() {

	// Client script
	// Write your client script here, no need to add script tags.

});
</script>
<?php $reswardens_edit->showPageHeader(); ?>
<?php
$reswardens_edit->showMessage();
?>
<form name="freswardensedit" id="freswardensedit" class="<?php echo $reswardens_edit->FormClassName ?>" action="<?php echo CurrentPageName() ?>" method="post">
<?php if ($Page->CheckToken) { ?>
<input type="hidden" name="<?php echo Config("TOKEN_NAME") ?>" value="<?php echo $Page->Token ?>">
<?php } ?>
<input type="hidden" name="t" value="reswardens">
<input type="hidden" name="action" id="action" value="update">
<input type="hidden" name="modal" value="<?php echo (int)$reswardens_edit->IsModal ?>">
<div class="ew-edit-div"><!-- page* -->
<?php if ($reswardens_edit->id->Visible) { // id ?>
	<div id="r_id" class="form-group row">
		<label id="elh_reswardens_id" class="<?php echo $reswardens_edit->LeftColumnClass ?>"><?php echo $reswardens_edit->id->caption() ?><?php echo $reswardens_edit->id->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $reswardens_edit->RightColumnClass ?>"><div <?php echo $reswardens_edit->id->cellAttributes() ?>>
<span id="el_reswardens_id">
<span<?php echo $reswardens_edit->id->viewAttributes() ?>><input type="text" readonly class="form-control-plaintext" value="<?php echo HtmlEncode(RemoveHtml($reswardens_edit->id->EditValue)) ?>"></span>
</span>
<input type="hidden" data-table="reswardens" data-field="x_id" name="x_id" id="x_id" value="<?php echo HtmlEncode($reswardens_edit->id->CurrentValue) ?>">
<?php echo $reswardens_edit->id->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($reswardens_edit->Hostel->Visible) { // Hostel ?>
	<div id="r_Hostel" class="form-group row">
		<label id="elh_reswardens_Hostel" for="x_Hostel" class="<?php echo $reswardens_edit->LeftColumnClass ?>"><?php echo $reswardens_edit->Hostel->caption() ?><?php echo $reswardens_edit->Hostel->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $reswardens_edit->RightColumnClass ?>"><div <?php echo $reswardens_edit->Hostel->cellAttributes() ?>>
<span id="el_reswardens_Hostel">
<?php $reswardens_edit->Hostel->EditAttrs->prepend("onchange", "ew.updateOptions.call(this);"); ?>
<div class="input-group">
	<select class="custom-select ew-custom-select" data-table="reswardens" data-field="x_Hostel" data-value-separator="<?php echo $reswardens_edit->Hostel->displayValueSeparatorAttribute() ?>" id="x_Hostel" name="x_Hostel"<?php echo $reswardens_edit->Hostel->editAttributes() ?>>
			<?php echo $reswardens_edit->Hostel->selectOptionListHtml("x_Hostel") ?>
		</select>
</div>
<?php echo $reswardens_edit->Hostel->Lookup->getParamTag($reswardens_edit, "p_x_Hostel") ?>
</span>
<?php echo $reswardens_edit->Hostel->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($reswardens_edit->Floor->Visible) { // Floor ?>
	<div id="r_Floor" class="form-group row">
		<label id="elh_reswardens_Floor" for="x_Floor" class="<?php echo $reswardens_edit->LeftColumnClass ?>"><?php echo $reswardens_edit->Floor->caption() ?><?php echo $reswardens_edit->Floor->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $reswardens_edit->RightColumnClass ?>"><div <?php echo $reswardens_edit->Floor->cellAttributes() ?>>
<span id="el_reswardens_Floor">
<div class="input-group">
	<select class="custom-select ew-custom-select" data-table="reswardens" data-field="x_Floor" data-value-separator="<?php echo $reswardens_edit->Floor->displayValueSeparatorAttribute() ?>" id="x_Floor" name="x_Floor"<?php echo $reswardens_edit->Floor->editAttributes() ?>>
			<?php echo $reswardens_edit->Floor->selectOptionListHtml("x_Floor") ?>
		</select>
</div>
<?php echo $reswardens_edit->Floor->Lookup->getParamTag($reswardens_edit, "p_x_Floor") ?>
</span>
<?php echo $reswardens_edit->Floor->CustomMsg ?></div></div>
	</div>
<?php } ?>
<?php if ($reswardens_edit->ResWarden->Visible) { // ResWarden ?>
	<div id="r_ResWarden" class="form-group row">
		<label id="elh_reswardens_ResWarden" for="x_ResWarden" class="<?php echo $reswardens_edit->LeftColumnClass ?>"><?php echo $reswardens_edit->ResWarden->caption() ?><?php echo $reswardens_edit->ResWarden->Required ? $Language->phrase("FieldRequiredIndicator") : "" ?></label>
		<div class="<?php echo $reswardens_edit->RightColumnClass ?>"><div <?php echo $reswardens_edit->ResWarden->cellAttributes() ?>>
<span id="el_reswardens_ResWarden">
<div class="input-group">
	<select class="custom-select ew-custom-select" data-table="reswardens" data-field="x_ResWarden" data-value-separator="<?php echo $reswardens_edit->ResWarden->displayValueSeparatorAttribute() ?>" id="x_ResWarden" name="x_ResWarden"<?php echo $reswardens_edit->ResWarden->editAttributes() ?>>
			<?php echo $reswardens_edit->ResWarden->selectOptionListHtml("x_ResWarden") ?>
		</select>
</div>
<?php echo $reswardens_edit->ResWarden->Lookup->getParamTag($reswardens_edit, "p_x_ResWarden") ?>
</span>
<?php echo $reswardens_edit->ResWarden->CustomMsg ?></div></div>
	</div>
<?php } ?>
</div><!-- /page* -->
<?php if (!$reswardens_edit->IsModal) { ?>
<div class="form-group row"><!-- buttons .form-group -->
	<div class="<?php echo $reswardens_edit->OffsetColumnClass ?>"><!-- buttons offset -->
<button class="btn btn-primary ew-btn" name="btn-action" id="btn-action" type="submit"><?php echo $Language->phrase("SaveBtn") ?></button>
<button class="btn btn-default ew-btn" name="btn-cancel" id="btn-cancel" type="button" data-href="<?php echo $reswardens_edit->getReturnUrl() ?>"><?php echo $Language->phrase("CancelBtn") ?></button>
	</div><!-- /buttons offset -->
</div><!-- /buttons .form-group -->
<?php } ?>
</form>
<?php
$reswardens_edit->showPageFooter();
if (Config("DEBUG"))
	echo GetDebugMessage();
?>
<script>
loadjs.ready("load", function() {

	// Startup script
	// Write your table-specific startup script here
	// console.log("page loaded");

});
</script>
<?php include_once "footer.php"; ?>
<?php
$reswardens_edit->terminate();
?>